package oop.demo1;

import javax.microedition.lcdui.*;

/**
 * @author aNNiMON
 */
public class OopMenu2 extends Canvas {
    
    private final int width, height;
    
    private int cursor;
    private MenuItem[] items;

    public OopMenu2() {
        setFullScreenMode(true);
        width = getWidth();
        height = getHeight();
        
        cursor = 0;
        items = new MenuItem[] {
            new MenuItem("Start", 0xFF095E15),
            new MenuItem("Options", 0xFFA06028),
            new MenuItem("Help", 0xFF3C3A83),
            new MenuItem("About", 0xFF064A59),
            new MenuItem("Exit", 0xFFD013F3)
        };
    } 
    
    public void paint(Graphics g) {
        g.setColor(0xFFE1FFE1);
        g.fillRect(0, 0, width, height);
        // Draw menu
        g.setColor(0xFF095E15);
        final int itemHeight = g.getFont().getHeight() + 5;
        final int startY = height - itemHeight * items.length;
        for (int i = 0; i < items.length; i++) {
            g.setColor(items[i].getColor());
            g.drawString(items[i].getName(), width / 2, startY + itemHeight * i, Graphics.TOP | Graphics.HCENTER);
        }
        // Draw cursor
        g.setColor(0xFF11C62A);
        g.drawRect(0, startY + itemHeight * cursor, width, itemHeight);
    }
    
    protected void keyPressed(int keyCode) {
        final int ga = getGameAction(keyCode);
        switch (ga) {
            case UP:
                cursor--;
                if (cursor < 0) cursor = items.length - 1;
                break;
            case DOWN:
                cursor++;
                if (cursor >= items.length) cursor = 0;
                break;
            case FIRE:
                Alert al = new Alert("Info");
                al.setString(items[cursor].getName());
                Demo1.midlet.dsp.setCurrent(al);
                break;
        }
        repaint();
    }

}